## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CollectionDeleteGuard Class Template Reference

`#include <STLHelper.hpp>`

Collaboration diagram for CollectionDeleteGuard:

[legend]
List of all members.

## Public Methods

- CollectionDeleteGuard (CollectionType &theCollection)
- ~CollectionDeleteGuard ()
- void release ()

### template<class CollectionType, class DeleteFunctorType> class CollectionDeleteGuard

## Constructor & Destructor Documentation

template<class CollectionType, class DeleteFunctorType>
CollectionDeleteGuard<CollectionType, DeleteFunctorType>::CollectionDeleteGuard<CollectionType, DeleteFunctorType> ( | CollectionType & theCollection )

template<class CollectionType, class DeleteFunctorType>
CollectionDeleteGuard<CollectionType, DeleteFunctorType>::~CollectionDeleteGuard<CollectionType, DeleteFunctorType> ( | )

## Member Function Documentation

template<class CollectionType, class DeleteFunctorType>
void CollectionDeleteGuard<CollectionType, DeleteFunctorType>::release ( | )

The documentation for this class was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.